function init(hero) {
    hero.setName("Superman");
    hero.setVersion("\u00A79\u00A7lSuperman \u00A7c\u00A7lReturns\u00A7r");
    hero.setTier(9);
    
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("ahhp:kryptonian");
    hero.addAttribute("PUNCH_DAMAGE", 12.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", -1.5, 0);
    hero.addAttribute("KNOCKBACK", 2.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 100.0, 1);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 3.0, 0);
    
    hero.addKeyBind("SUPER_SPEED", "Speed Up", 1);
    hero.addKeyBind("SLOW_MOTION", "Slow Down", 2);
    hero.addKeyBind("GROUND_SMASH", "Super Smash", 3);
    hero.addKeyBind("CHARGED_BEAM", "Super Breath", 4);
    hero.addKeyBind("HEAT_VISION", "key.heatVision", 5);

    hero.setDefaultScale(1.1);
    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:flight":
        return !entity.getData("fiskheroes:glide_flying");
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
        case "GROUND_SMASH":
            return (!entity.getData("fiskheroes:glide_flying"));
        default:
            return true;
    }
}